GET /data/taxa
neotomadb.org:neotoma-paleoecology-database
Summary: Get taxonomic information
Operation ID: getTaxa
Auth: unknown
Operation ID: getTaxa
Auth: unknown
Description
Retrieves taxonomic information including taxon names, codes, ecological groups, status (extant/extinct), and associated publications.
Parameters (7)
ecolgroup
(string, query, optional)
Filter by ecological group (e.g., TRSH=trees/shrubs, UPHER= upland herbs)
limit
(integer, query, optional, default: 25)
Maximum number of results to return
offset
(integer, query, optional, default: 0)
Number of results to skip for pagination
taxagroupid
(string, query, optional)
Filter by taxonomic group ID (e.g., VPL=vascular plants)
taxoncode
(string, query, optional)
Filter by taxon code
taxonid
(integer, query, optional)
Filter by specific taxon ID
taxonname
(string, query, optional)
Filter by taxon name (e.g., Pinus, Quercus)
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for pine trees by taxon name | curl |
https://api.neotomadb.org/v2.0/data/taxa?taxonname=Pinus&limit=10 |
|
| Filter by ecological group for vascular plants | curl |
https://api.neotomadb.org/v2.0/data/taxa?ecolgroup=VASC&limit=25&offset=0 |
|
| Get extinct taxa with pagination | curl |
https://api.neotomadb.org/v2.0/data/taxa?status=extinct&limit=50&offset=0 |
|
| List taxa | probe-gate |
https://api.neotomadb.org/v2.0/data/taxa?limit=25&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:45:29.337648 | 200 | 526ms | |
| 2026-03-23 09:23:54.472594 | 200 | 568ms | |
| 2026-03-23 09:17:06.436171 | 200 | 509ms | |
| 2026-03-23 09:03:52.364709 | 200 | 525ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:17:06.436171 | c49dbf951d3c |
d03c69384b38 |
| 2026-03-23 09:23:54.472594 | d03c69384b38 |
38742dd79102 |
| 2026-03-23 09:45:29.337648 | 38742dd79102 |
cbe0f0e60d99 |